opam_1.2.0-1+deb8u1_i386.deb


Advertisement

Description

opam - package manager for OCaml

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package filename opam_1.2.0-1+deb8u1_i386.deb
Package name opam
Package version 1.2.0
Package release 1+deb8u1
Package architecture i386
Package type deb
Category ocaml
Homepage http://opam.ocamlpro.com
License -
Maintainer Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Download size 1.29 MB
Installed size 7.62 MB
OPAM stands for OCaml PAckage Manager. It aims to suit to a vast number
of users and use cases, and has unique features:
* Powerful handling of dependencies: versions constraints, optional
dependencies, conflicts, etc.
* Multiple repositories backends: HTTP, rsync, git
* Ease to create packages and repositories
* Ability to switch between different compiler versions
Typically, OPAM will probably make your life easier if you recognize
yourself in at least one of these profiles:
* You use multiple versions of the OCaml compiler, or you hack the compiler
yourself and needs to frequently switch between compiler versions.
* You use or develop software that needs a specific and/or modified version
of the OCaml compiler to be installed.
* You use or develop software that depends on a specific version of an OCaml
library, or you just want to install a specific version of a package, not
just the latest one.
* You want to create your own packages yourself, put them on your own
repository, with minimal effort.

Alternatives

Package Version Architecture Repository
opam_1.2.0-1+deb8u1_amd64.deb 1.2.0 amd64 Debian Main
opam - - -

Requires

Name Value
build-essential -
curl -
libbz2-1.0 -
libc6 >= 2.7
opam-docs = 1.2.0-1+deb8u1
wget -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package opam_1.2.0-1+deb8u1_i386.deb
Source Package opam

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install opam deb package:
    # sudo apt-get install opam

Files

Path
/usr/bin/opam
/usr/bin/opam-admin
/usr/bin/opam-installer
/usr/share/doc/opam/changelog.Debian.gz
/usr/share/doc/opam/changelog.gz
/usr/share/doc/opam/copyright

Changelog

2016-04-10 - Mehdi Dogguy <mehdi@debian.org>
opam (1.2.0-1+deb8u1) jessie; urgency=medium
* Stop using insecure and no-check-certificate flags when fetching
files using wget and curl (Closes: #818081).
2014-11-03 - Mehdi Dogguy <mehdi@debian.org>
opam (1.2.0-1) unstable; urgency=medium
* New upstream release.
* Make opam recommend aspcud (Addresses: #766985).
2014-10-23 - Mehdi Dogguy <mehdi@debian.org>
opam (1.2.0~rc4-1) unstable; urgency=medium
* Import new uptream release.
* Do not call make autogen anymore
* Refresh patch 0001-Fix-some-spelling-errors.patch
* Bump minimal requirement on dose3 to 3.3~.
* Import Uutf and Jsonm temporarily.
* Build and install opam-installer
* Generate core/opamGitVersion.ml core/opamScript.ml during the configure phase
* scripts/ directory has been renamed into tools/
2014-02-02 - Mehdi Dogguy <mehdi@debian.org>
opam (1.1.1-1) unstable; urgency=low
* New upstream release.
2013-11-24 - Mehdi Dogguy <mehdi@debian.org>
opam (1.1.0-1) unstable; urgency=low
* New upstream release.
+ Update patch (fix spelling errors).
* Link against "re.str", added in debian/buildsys/myocamlbuild.ml.
* Only install "opam" and "opam-admin" binaries, as upstream does.
* Add build-essential to Depends and ocaml to Recommends.
2013-06-16 - Mehdi Dogguy <mehdi@debian.org>
opam (1.0.0-1) unstable; urgency=low
* Initial upload (Closes: #641986)

See Also

Package Description
opari2_1.0.7+dfsg-5_i386.deb OpenMP Pragma And Region Instrumentor - translation tool
opari_1.1+dfsg-3_i386.deb OpenMP Pragma And Region Instrumentor - translation tool
open-axiom-databases_1.5.0~svn3056+ds-1_all.deb open scientific computation platform: generated text databases
open-axiom-graphics-data_1.5.0~svn3056+ds-1_all.deb open scientific computation platform: graphics subsystem data
open-axiom-graphics_1.5.0~svn3056+ds-1_i386.deb open scientific computation platform: graphics subsystem
open-axiom-hypertex-data_1.5.0~svn3056+ds-1_all.deb open scientific computation platform: hypertex subsystem data
open-axiom-hypertex_1.5.0~svn3056+ds-1_i386.deb open scientific computation platform: hypertex subsystem
open-axiom-source_1.5.0~svn3056+ds-1_all.deb open scientific computation platform: source files
open-axiom-test_1.5.0~svn3056+ds-1_all.deb open scientific computation platform: regression test inputs
open-axiom-tex_1.5.0~svn3056+ds-1_all.deb open scientific computation platform: style file for TeX
open-axiom_1.5.0~svn3056+ds-1_i386.deb open scientific computation platform
open-cobol_1.1-1+b1_i386.deb COBOL compiler
open-invaders-data_0.3-4.1_all.deb Space Invaders clone (data package)
open-invaders_0.3-4.1_i386.deb Space Invaders clone
open-iscsi_2.0.873+git0.3b4b4500-8+deb8u2_i386.deb High performance, transport independent iSCSI implementation
Advertisement
Advertisement